/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Bubulle;

import java.util.ArrayList;

/**
 *
 * @author anja
 */
public class Trajectoire {
    ArrayList<Bulle> list;
    double score;

    public Trajectoire() {
        this.list = new ArrayList<Bulle>();
        this.score = 0;
    }
    
    public ArrayList<Bulle> getList() {
        return list;
    }

    public void setList(Bulle b) {
        this.list.add(b);
    }
    
    public void setList(ArrayList<Bulle> listBulle) {
    	
    	for(Bulle b : listBulle) {
    		list.add(b);
    	}
    	
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }
    
    public Bulle removeLast() {
    	return this.list.remove(this.list.size() - 1);
    }
    
    //Retourne la présence (ou non) d'une bulle dans la trajectoire
    public boolean contains(Bulle b) {   
    	//Si la liste contient des bulles
    	if(!list.isEmpty()) {
    		//Parcours de la liste
    		for(Bulle a : list) {
    			//Si son identifiant unique est déja présent
    			if(a.getNo() == b.getNo())
    				return true;
    		}
    	}
    	return false;
    }
    
  //Retourne le dernier element de la liste
    public Bulle getLast() {   
        if(!list.isEmpty()) {
            return this.getList().get(this.getList().size()-1);
    	}
    	return null;
    }
    
  //Retourne le i dernier element
    public Bulle getElementPosition(int i) {   
    	return this.getList().get(this.list.size()-i);
    }
    
}
